import 'package:flutter/material.dart';
import 'package:flutter/services.dart';

import 'package:provider/provider.dart';

import 'package:pweb/pages/dashboard/buttons/balance/amount.dart';
import 'package:pweb/providers/wallets.dart';


class WalletEditFields extends StatelessWidget {

  const WalletEditFields({super.key});

  @override
  Widget build(BuildContext context) {
     final wallet = context.watch<WalletsProvider>().wallets?.first;

    if (wallet == null) {
      return const SizedBox.shrink();
    }
    return Column(
      crossAxisAlignment: CrossAxisAlignment.start,
      children: [
        Row(
          children: [
           BalanceAmount(
              wallet: wallet,
              onToggleVisibility: () {
                context.read<WalletsProvider>().toggleVisibility(wallet.id);
              },
            ),
          ],
        ),
        const SizedBox(height: 8),
        Row(
          mainAxisAlignment: MainAxisAlignment.spaceBetween,
          children: [
            Text(wallet.walletUserID, style: Theme.of(context).textTheme.bodyLarge),
            IconButton(
              icon: Icon(Icons.copy), 
              iconSize: 18,
              onPressed: () => Clipboard.setData(ClipboardData(text: wallet.walletUserID)),
            ),
          ],
        ),
      ],
    );
  }
}